Summary: 	MPEG audio decoder library
Name: 		libmad
Version: 	0.15.1b
Release: 	3
Group:		Libraries
URL: 		http://www.underbit.com/products/mad/
Source: 	http://download.sf.net/mad/%{name}-%{version}.tar.gz
License: 	GPL
Buildroot: 	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
MAD is a high-quality MPEG audio decoder. It currently supports MPEG-1 and
the MPEG-2 extension to Lower Sampling Frequencies, as well as the
so-called MPEG 2.5 format. All three audio layers (Layer I, Layer II, and
Layer III a.k.a. MP3) are fully implemented.

For information on the MP3 License, please visit the MPEG website at
http://www.mpeg.org/.

%package 	devel
Summary:	%{summary}
Group:		Development

%description 	devel
The %{name}-devel package includes the static libraries and header files
for the %{name} package.

Install %{name}-devel if you want to develop programs which will use
%{name}.

%prep
%setup -q
%{__cat} << EOF > mad.pc
prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name: mad
Description: MPEG Audio Decoder
Requires:
Version: %{version}
Libs: -L%{_libdir} -lmad -lm
Cflags: -I%{_includedir}
EOF

%build
%configure \
    --enable-shared --disable-nls \
    --disable-dependency-tracking \
    --enable-accuracy \
    --disable-debugging

make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
%{__install} -Dp -m 0644 mad.pc %{buildroot}%{_libdir}/pkgconfig/mad.pc

%clean
rm -r $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/pkgconfig
%{_includedir}
